# Uses of Interface
org.xnio.channels.StreamChannel

Packages that use StreamChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.

## Uses of StreamChannel in org.xnio

Methods in org.xnio that return types with arguments of type StreamChannel
Modifier and Type
Method
Description
`ChannelPipe<StreamChannel,StreamChannel>`
XnioIoFactory.`createFullDuplexPipe()`
Create a two-way stream pipe.
`ChannelPipe<StreamChannel,StreamChannel>`
XnioIoFactory.`createFullDuplexPipe()`
Create a two-way stream pipe.
`ChannelPipe<StreamChannel,StreamChannel>`
XnioIoThread.`createFullDuplexPipe()`
`ChannelPipe<StreamChannel,StreamChannel>`
XnioIoThread.`createFullDuplexPipe()`
`ChannelPipe<StreamChannel,StreamChannel>`
XnioWorker.`createFullDuplexPipe()`
`ChannelPipe<StreamChannel,StreamChannel>`
XnioWorker.`createFullDuplexPipe()`
Method parameters in org.xnio with type arguments of type StreamChannel
Modifier and Type
Method
Description
`void`
XnioWorker.`createPipe(ChannelListener<? super StreamChannel> leftOpenListener, ChannelListener<? super StreamChannel> rightOpenListener, OptionMap optionMap)`
Deprecated.
Users should prefer the simpler `XnioWorker.createFullDuplexPipe()` instead.

## Uses of StreamChannel in org.xnio.channels

Subinterfaces of StreamChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
`interface`
`ConnectedStreamChannel`
A stream channel that is a connection between a local and remote endpoint.
Classes in org.xnio.channels that implement StreamChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
`class`
`AssembledStreamChannel`
A stream channel assembled from a stream source and stream sink.
Methods in org.xnio.channels that return types with arguments of type StreamChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends StreamChannel>`
StreamChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends StreamChannel>`
StreamChannel.`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
`ChannelListener.Setter<? extends StreamChannel>`
StreamChannel.`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.
Constructors in org.xnio.channels with parameters of type StreamChannel
Modifier
Constructor
Description
``
`BlockingByteChannel(StreamChannel delegate)`
Construct a new instance.
``
`BlockingByteChannel(StreamChannel delegate, long timeout, TimeUnit timeoutUnit)`
Construct a new instance.
``
`BlockingByteChannel(StreamChannel delegate, long readTimeout, TimeUnit readTimeoutUnit, long writeTimeout, TimeUnit writeTimeoutUnit)`
Construct a new instance.